Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.patterns.observer
Class Notification

    java.lang.Object
      org.puremvc.java.patterns.observer.Notification

All Implemented Interfaces:
  INotification

    public class Notification

extends java.lang.Object
implements INotification

A base `INotification` implementation.

PureMVC does not rely upon underlying event models such as the one provided with Flash, and ActionScript 3 does not have an inherent event model.

The Observer Pattern as implemented within PureMVC exists to support event-driven communication between the application and the actors of the MVC triad.

Notifications are not meant to be a replacement for Events in Flex/Flash/Apollo. Generally, `IMediator` implementors place event listeners on their view components, which they then handle in the usual way. This may lead to the broadcast of `Notification`s to trigger `ICommand`s or to communicate with other `IMediators`. `IProxy` and `ICommand` instances communicate with each other and `IMediator`s by broadcasting `INotification`s.

A key difference between Flash `Event`s and PureMVC `Notification`s is that `Event`s follow the 'Chain of Responsibility' pattern, 'bubbling' up the display hierarchy until some parent component handles the `Event`, while PureMVC `Notification`s follow a 'Publish/Subscribe' pattern. PureMVC classes need not be related to each other in a parent/child relationship in order to communicate with one another using `Notification`s.

See Also:
  `Observer`

Field Summary
`protected java.lang.Object` | `body`
`protected java.lang.String` | `name`
`protected java.lang.String` | `type`

Constructor Summary
`Notification(java.lang.String name)` Constructor.
`Notification(java.lang.String name, java.lang.Object body)` Constructor.
`Notification(java.lang.String name, java.lang.Object body, java.lang.String type)` Constructor.

Method Summary
`java.lang.Object` | `getBody()` Get the body of the `Notification` instance.
`java.lang.String` | `getName()` Get the name of the `Notification` instance.
`java.lang.String` | `getType()` Get the type of the `Notification` instance.
`void` | `setBody(java.lang.Object body)` Set the body of the `Notification` instance.
`void` | `setType(java.lang.String type)` Set the type of the `Notification` instance.
`java.lang.String` | `toString()` Get the string representation of the `Notification` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected java.lang.String type

### body

    protected java.lang.Object body

Constructor Detail

### Notification

    public Notification(java.lang.String name,
                        java.lang.Object body,
                        java.lang.String type)

  Constructor.

  Parameters:
    `name` - name of the `Notification` instance. (required)
    `body` - the `Notification` body. (optional)
    `type` - the type of the `Notification` (optional)

### Notification

    public Notification(java.lang.String name)

  Constructor.

  Parameters:
    `name` - name of the `Notification` instance. (required)

### Notification

    public Notification(java.lang.String name,
                        java.lang.Object body)

  Constructor.

  Parameters:
    `name` - name of the `Notification` instance. (required)
    `body` - the `Notification` body. (optional)

Method Detail

### getBody

    public java.lang.Object getBody()

  Get the body of the `Notification` instance.

  Specified by:
    `getBody` in interface `INotification`
  Returns:
    the body object.

### getName

    public java.lang.String getName()

  Get the name of the `Notification` instance.

  Specified by:
    `getName` in interface `INotification`
  Returns:
    the name of the `Notification` instance.

### getType

    public java.lang.String getType()

  Get the type of the `Notification` instance.

  Specified by:
    `getType` in interface `INotification`
  Returns:
    the type

### setBody

    public void setBody(java.lang.Object body)

  Set the body of the `Notification` instance.

  Specified by:
    `setBody` in interface `INotification`
  Parameters:
    `body` -

### setType

    public void setType(java.lang.String type)

  Set the type of the `Notification` instance.

  Specified by:
    `setType` in interface `INotification`
  Parameters:
    `type` -

### toString

    public java.lang.String toString()

  Get the string representation of the `Notification` instance.

  Specified by:
    `toString` in interface `INotification`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the `Notification` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD